Create new comment node

- « DOMDocument::createCDATASection

- DOMDocument::createDocumentFragment »

- PHP Manual
- DOMDocument
- Create new comment node

# DOMDocument::createComment

(PHP 5, PHP 7, PHP 8)

DOMDocument::createComment — Create new comment node

### Description

public DOMDocument::createComment(string `$data`): DOMComment

This function creates a new instance of class DOMComment. This node will not show up in the document unless it is inserted with (e.g.) DOMNode::appendChild().

### Parameters

`data`

  The content of the comment.

### Return Values

The new DOMComment.

### Changelog

Version | Description
--- | ---
8.1.0 | In case of an error, a DomException is thrown now. Previously, `false` was returned.

### See Also

- DOMNode::appendChild() - Adds new child at the end of the children
- DOMDocument::createAttribute() - Create new attribute
- DOMDocument::createAttributeNS() - Create new attribute node with an associated namespace
- DOMDocument::createCDATASection() - Create new cdata node
- DOMDocument::createDocumentFragment() - Create new document fragment
- DOMDocument::createElement() - Create new element node
- DOMDocument::createElementNS() - Create new element node with an associated namespace
- DOMDocument::createEntityReference() - Create new entity reference node
- DOMDocument::createProcessingInstruction() - Creates new PI node
- DOMDocument::createTextNode() - Create new text node